#### D.15.14.24 isPrimitiveSublattice

Procedure from library `multigrading.lib` (see multigrading_lib).

Purpose:
  check whether the given set of integral vectors in ZZ^m, i.e. the columns of A, generate a primitive sublattice in ZZ^m (a direct summand of ZZ^m).

Returns:
  int, where 0 is false and 1 is true.

Example:

    LIB "multigrading.lib";
    intmat A[3][2] =
    1,4,
    2,5,
    3,6;
    // should be 0
    int b = isPrimitiveSublattice(A);
    print(b);
    ==> 0
    // another example
    intmat B[2][2] =
    1,0,
    0,1;
    // should be 1
    int c = isPrimitiveSublattice(B);
    print(c);
    ==> 1
    kill A, b, B, c;

User manual for Singular version 4.4.1, 2025, generated by texi2html.